#### Previous topic

scipy.interpolate.BSpline.derivative

#### Next topic

scipy.interpolate.BSpline.integrate

# scipy.interpolate.BSpline.antiderivative

`BSpline.``antiderivative`(nu=1)

  Return a b-spline representing the antiderivative.

  Parameters:

  nu : int, optional

  > Antiderivative order. Default is 1.

  Returns:

  b : BSpline object

  > A new instance representing the antiderivative.

  See also

  `splder`, `splantider`